[android-components](../../index.md) / [mozilla.components.browser.engine.gecko](../index.md) / [GeckoEngineView](index.md) / [getInputResult](./get-input-result.md)

# getInputResult

`fun getInputResult(): `[`InputResult`](../../mozilla.components.concept.engine/-engine-view/-input-result/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-gecko-beta/src/main/java/mozilla/components/browser/engine/gecko/GeckoEngineView.kt#L201)

Overrides [EngineView.getInputResult](../../mozilla.components.concept.engine/-engine-view/get-input-result.md)

**Return**
[InputResult](../../mozilla.components.concept.engine/-engine-view/-input-result/index.md) indicating how user's last [android.view.MotionEvent](#) was handled.

